OpenWrt Forum Archive

Topic: Is minidlna going to be fixed?

The content of this topic has been archived on 28 Apr 2018. There are no obvious gaps in this topic, but there may still be some posts missing at the end.

New package appeared in new release. It's minidlna, but it is broken. Libffmpeg is too streamlined. There is no use in minidlna package. Maybe additional libffmpeg should be in repo?

connexion2000 wrote:

New package appeared in new release. It's minidlna, but it is broken. Libffmpeg is too streamlined. There is no use in minidlna package. Maybe additional libffmpeg should be in repo?

I agree that there could be an alternative package in the repository with all ffmpeg features compiled into it (maybe something called libffmpeg-full?).
Until then, you can try to recompile libffmpeg yourself: https://forum.openwrt.org/viewtopic.php … 67#p115867

Unfortunatelly I don't know how to compile packages. But libffmpeg-full should be in repo, because there is no point in giving minidlna.

I downloaded and installed the attached libffmpeg and zlib from

https://dev.openwrt.org/ticket/7837

but still get the same

[2011/02/02 08:00:51] scanner.c:503: warn: Unsuccessful getting details for /mnt/media/Videot/House M.D/Season 6/05 - Brave Heart.xvid.avi!

errors. Has anyone gotten this to work?

My experience is that minidlna will work for audio but rarely for video.  I have compiled an all in one version for testing but it just did not like me when it came to interpreting and sharing video files.

I haven't played with minidlna, but I'm curious if FUPPES would work on OpenWrt?
I run it on my Ubuntu server and it's just great!

minidlna works great, you just need ffmpeg compiled with all demuxers.

Here's a package compiled for trunk, should work with latest OpenWrt snapshots:

http://enduser.subsignal.org/~trondah/m … ar71xx.ipk

(Last edited by arokh on 2 Feb 2011, 20:35)

Thank you for your advice arokh. Apparently some ffmpeg protocols are also necessary. I recompiled ffmpeg for backfire by removing --disable-demuxers \ $(FFMPEG_CONFIGURE_DEMUXERS) \ --disable-protocols \ $(FFMPEG_CONFIGURE_PROTOCOLS) \ from the Makefile and now it works. If anyone else wants to try, here are the packages for ar71xx (I'm not sure whether the recompiled zlib is necessary):

http://ltl.tkk.fi/~malaakso/misc/libffm … ar71xx.ipk
http://ltl.tkk.fi/~malaakso/misc/zlib_1 … ar71xx.ipk

I believe the file protocol is all that's needed.

I figured as much, but removing file from FFMPEG_CONFIGURE_PROTOCOLS didn't have any effect. I had to remove the entire line.

The discussion might have continued from here.